1px gap between launcher and dash on high-dpi screen

Bug #1283415 reported by Andreas E. on 2014-02-22
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Marco Trevisan (Treviño)
7.2
Fix Released
Medium
Marco Trevisan (Treviño)
unity (Ubuntu)
Medium
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]
When desktop scaling is enabled, there is a 1px gap between the launcher and the dash.

org.gnome.desktop.interface.scaling-factor = 2
org.gnome.desktop.interface.text-scaling-factor = 1.0

[Test case]
1. From Unity Control Center -> Displays -> Change the monitor scaling to a value bigger
   than 1.5 (best at 2.0 or more)
2. Open the dash
3. There should be no "fully transparent" gab between dash and launcher (as shown in this
   image https://launchpadlibrarian.net/167262841/unity-dash-dpi.png

[Regression Potential]
Nothing known, dash borders might be distorted

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: unity 7.1.2+14.04.20140220-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-11.31-generic 3.13.3
Uname: Linux 3.13.0-11-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Feb 22 12:41:11 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.3.6, 3.13.0-11-generic, x86_64: installed
 virtualbox, 4.3.6, 3.13.0-8-generic, x86_64: installed
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:3978]
InstallationDate: Installed on 2014-02-02 (19 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 "Trusty Tahr" - Alpha amd64 (20140201)
MachineType: LENOVO 20266
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-11-generic.efi.signed root=UUID=4bfb3686-b9f7-487d-81f6-eceb41097ad9 ro quiet splash vt.handoff=7SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/31/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: 76CN31WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Yoga2
dmi.board.vendor: LENOVO
dmi.board.version: 31900058STD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo Yoga 2 Pro
dmi.modalias: dmi:bvnLENOVO:bvr76CN31WW:bd10/31/2013:svnLENOVO:pn20266:pvrLenovoYoga2Pro:rvnLENOVO:rnYoga2:rvr31900058STD:cvnLENOVO:ct10:cvrLenovoYoga2Pro:
dmi.product.name: 20266
dmi.product.version: Lenovo Yoga 2 Pro
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.11+14.04.20140218-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0~rc1-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0~rc1-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Sat Feb 22 12:08:14 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 16970
 vendor SDC
xserver.version: 2:1.15.0-1ubuntu6

Related branches

Andreas E. (andreas-e) wrote :
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
milestone: none → 7.2.0
tags: added: hidpi
Changed in unity:
assignee: nobody → Brandon Schaefer (brandontschaefer)
importance: Undecided → Medium
Adolfo Jayme (fitojb) on 2014-03-24
Changed in unity (Ubuntu):
importance: Undecided → Medium
Stephen M. Webb (bregma) on 2014-04-15
Changed in unity:
milestone: 7.2.0 → 7.2.1
Stephen M. Webb (bregma) on 2014-06-04
Changed in unity:
milestone: 7.2.1 → 7.2.2
Changed in unity:
milestone: 7.2.2 → 7.3.2
assignee: Brandon Schaefer (brandontschaefer) → Marco Trevisan (Treviño) (3v1n0)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.0+14.10.20140711-0ubuntu1

---------------
unity (7.3.0+14.10.20140711-0ubuntu1) utopic; urgency=low

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Marco Trevisan (Treviño) ]
  * Previews: scale the dash preview contents to match current monitor
    scaling Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * DashStyle: return RawPixel's instead of integers for sizes, and
    avoid duplication in code
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415)
  * Hud: scale to match current DPI settings for monitor (LP: #1340477)
 -- Ubuntu daily release <email address hidden> Fri, 11 Jul 2014 19:59:35 +0000

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Changed in unity:
status: In Progress → Fix Committed
Changed in unity:
milestone: 7.3.2 → 7.3.1
description: updated

unity_7.2.3+14.04.20140826-0ubuntu1.debdiff

Hello Andreas, or anyone else affected,

Accepted unity into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/7.2.3+14.04.20140826-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Andreas E. (andreas-e) wrote :

The transparent gap has disappeared and all the other improvements are also _very_ appreciated! Thank you!
(tested package: unity 7.2.3+14.04. amd64)

Andreas E. (andreas-e) on 2014-09-25
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package unity - 7.2.3+14.04.20140826-0ubuntu1

---------------
unity (7.2.3+14.04.20140826-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings. DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415) (LP: #1340394)
  * Hud: scale to match current DPI settings for monitor. (LP: #1340477)

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Stephen M. Webb ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Chris Townsend ]
  * Bump version to 7.2.3.

unity (7.2.2+14.04.20140714-0ubuntu2) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)
  * TextInput: use GdkKeymap to check the caps-lock status (LP: #1347735)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of...

Read more...

Changed in unity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.